Subject: Re: [Nethistory] Collecting the history of networking, a possible methodology

From: Jack Haverty <[email-masked]>
Date: Tue, 28 May 2013 17:39:06 -0700

Hi Jake,

Yes, you're right - I was referring to the Internet list maintained at
postel.org.  It's hard to keep track of these things.....

I have a suggestion for a "repository" of sorts.   I've gotten
involved in a little consulting involving a patent dispute, for which
prior art from the 70s/80s would be relevant.  So I've been looking
for old documents -- not just recollections, to back up what I (think
I) still remember about what happened when.

Most of the early work on Internet stuff was done under some
government contract, and I believe those contracts all required
submitting deliverables - tangible output.   I remember at BBN writing
lots of quarterly reports and other such things, and they all got sent
to the government as a deliverable.  Some deliverables were actual
software listings.  I'm pretty sure other contractors - SRI, ISI,
Linkabit, Collins/Rockwell, etc., had to do the same.  I suspect most
of such documents were never submitted to NIC, since they weren't all
that relevant to others at the time.  But they're chock full of
material that might be very interesting to a historian now.

Some of those early docs I've managed to find online, especially at
DTIC, including quite a few BBN QTRs from the earliest days of the
Internet.  But I've never found any SRI, ISI, etc., docs.  Maybe I
just don't know how to search for them.   All of these docs would be
extremely valuable as a historical record, since they contained lots
of details about the actual progress in the development of the
Internet..

My niece's husband is a Contracting Officer's Technical Representative
(COTR) in the Army, and I asked him last week what happens to contract
deliverables on government contracts.  His answer is that they're all
saved somewhere.  So, ... maybe there's a lot of juicy historical
material in some dusty government basement "repository" somewhere.

Perhaps someone knows how to find it... how's that for a task for the
professional historians?  Find that repository, then get as much
relevant material as possible out of it and into an enduring safe
place.  I suspect a good starting point would be the contract numbers.
 A lot of the early BBN work on the Internet was done under
MDA903-80-C-0353 & -0214 or NOO039-8l-C-0408, out of DSSW/Navelex.
Maybe you have some of the old SRI contract numbers too.   Googling a
contract number produces a lot of material at DTIC from that contract,
but not all.  A lot must be still just on paper, if it exists at all.

/Jack

On Tue, May 28, 2013 at 12:40 PM, Elizabeth Feinler
<[email-masked]> wrote:

> From: Jack Haverty <[email-masked]>
> Date: May 24, 2013 7:59:12 PM PDT
> Cc: [email-masked]
> Subject: Re: [Nethistory] Collecting the history of networking, a possible
> methodology
>
>
> On 05/23/2013 01:17 PM, Brian E Carpenter wrote:
>
> I think it is essential to have an organised method of securing copies of
> material and putting them somewhere that has a high probability of long-term
> survival. Crowdsourcing is a *great* method of getting the material, but a
> lousy method of collecting and preserving it.
>
> I agree that the most urgent need is one or more methods for capturing the
> history before it fades and changes beyond recognition.   As one of the
> people who lived through the early networking years of the 70s and 80s, I've
> been pretty disappointed when I've read some of the "history of the
> Internet" books, which often seem to be recounting the history of some other
> Internet from the one I was involved with.
>
> There's been a lot of historical "testimony" over the last few years on this
> mailing list.
>
>
> Jack is pointing out a problem we are having with the name of this mailing
> list.  Jack, I think you are referring to [email-masked] when
> you refer to
> " "testimony" over the last few years."  Consequently, I propose we change
> the name of this group to "[email-masked] to avoid confusion in
> the names.
>
> You and Brian have also  pointed out another problem that comes with
> anecdotal history - it captures the essence of what happened and often the
> nuances and details that would otherwise be lost; however, as time goes on
> people's recollections dim and may not be accurate; thus there is also a
> need for saving original works for reference. (NOTE:  This is not a
> criticism of [email-masked] as they have done a great job of
> documenting how the Internet evolved, especially the technical decisions in
> which many members of that discussion group participated.  I think what we
> would like to see happen is that the documents, if any, that verify their
> recollections along with the recollections themselves be saved for
> posterity.
>
> We are lucky that networking history is such a young discipline that we can
> still ask the person(s) who did the work how it was done.  We must also
> realize that that time will soon be past and act accordingly.
>
>  But, like other old mailing lists, it may or may not survive.   I'm certain
> that a lot of interesting history was embodied in the old mailing lists like
> header-people, but doesn't survive even three decades later.
>
>
> And this brings up the really big problem we are now facing, which will only
> get worse over time:  How do we save historical material that is only
> online?  Valuable history is out there, but there is no guarantee it will
> remain.  To the best of my knowledge no one, other than Brewster Kahle's
> Internet Archive, http://archive.org/, tries to archive the whole web, and
> he can only archive what is in the public domain. (If anyone knows of other
> such efforts, please let us know.)  What constitutes an "original source" in
> the digital networking world and where does it live????  What happens when
> an informative web site just disappears?  For that matter, who owns website
> content - the author or the web provider?  Even that is not clear, according
> to a recent Time magazine article.
>
>
> Perhaps some corporate or government sponsor could be intrigued to serve
> simply as a long-term repository?   Smithsonian?  Google?
>
>
> This, I think, is our first task:  to try and identify existing repositories
> so at least networking history donors are aware of them.  There are very few
> repositories specifically dedicated to networking history; however, there
> are significant collections located at government and private libraries and
> museums.  Which of these have staying power for the long term, and do they
> know the significance of the networking history items in their collections?
>
>
> The other immediate task of urgency is to simply define a framework for
> capturing such informal items as email discussions, or old out-of-print
> documents, so that the nature of the content -- the metadata --  is
> retained.   Are statements eyewitness accounts "I was at the meeting and
> XXX...", or hearsay "XXX told me that..." or analytic conclusion "I examined
> 3 years of emails and concluded that ....", or simply speculation "XXX
> happened just before YYY so XXX was the reason that YYY decided to..." or
> maybe even revisionist work "Everyone knows that XXX...".
>
>
> Good point,  A collection framework would let donors know what is being or
> should be saved. This is something we could start doing soon.
>
> This would enormously help some future historians trying to piece together
> what actually happened from all of the opinions and variants of reality that
> will undoubtedly emerge.
>
> For example, I recently did some garage archaeology and unearthed my
> notebooks from the late 70s and early 80s with all my notes from various
> meetings of TCP, IP, ICCB/IAB, and other meetings of the early working
> groups.  If I scan them before the ink blurs beyond readability, where
> should I FTP the files...?
>
>
> And, Jack, don't throw away the originals..........  :-)
>
> Jake
>
>
> /Jack Haverty
>
>